LOGINS(1)

NAME
logins - display account information

SYNOPSIS
logins [-admopstux] [-g groups] [-l logins]

DESCRIPTION
The logins utility displays information about user and system accounts.

The following options are available:

-a  Display information about the password change and account expiration times for each account.

-d  Select accounts with duplicate UIDs.

-g groups
    Select accounts that are members of the specified groups. If multiple group names are specified, they must be separated with commas.

-l logins
    Select accounts matching the specified login names. If multiple names are specified, they must be separated with commas.

-m  Show information about secondary groups.

-o  Display the information for each account on a single line of colon-separated fields.

-p  Select accounts with no password.

-s  Select system accounts. These are currently defined as accounts with UIDs below 1000, plus the “nobody” account (UID 65534).

-t  Sort selected accounts by name rather than by UID.

-u  Select user accounts. These are currently defined as accounts with UIDs above 1000, except the “nobody” account (UID 65534).

-x  Display information about each account's home directory and shell.

If multiple selection options are specified, all accounts matching any of the selection criteria will be displayed.

If no selection options are specified, all accounts will be displayed.

SEE ALSO
getgrent(3), getpwent(3), group(5), passwd(5), pw(8)

HISTORY
The logins utility appeared in FreeBSD 4.10.

AUTHORS
The logins utility was written by Dag-Erling Smørgrav <des@FreeBSD.org> based on similar utilities in other operating systems.